Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Interface TreeTransformer

All Known Implementing Classes:
  CompositeTreeTransformer, CoordinationTransformer, DependencyTreeTransformer, QPTreeTransformer

    public interface TreeTransformer

This is a simple interface for a function that alters a local `Tree`.

Author:
  Christopher Manning.

Method Summary
`Tree` | `transformTree(Tree t)` Does whatever one needs to do to a particular tree.

Method Detail

### transformTree

    Tree transformTree(Tree t)

  Does whatever one needs to do to a particular tree. This routine is passed a whole `Tree`, and could itself work recursively, but the canonical usage is to invoke this method via the `Tree.transform()` method, which will apply the transformer in a bottom-up manner to each local `Tree`, and hence the implementation of `TreeTransformer` should merely examine and change a local (one-level) `Tree`.

  Parameters:
    `t` - A tree. Classes implementing this interface can assume that the tree passed in is not `null`.
  Returns:
    the transformed `Tree`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group